atkmm: Atk::Image Class Reference

atkmm 2.22.6

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Related Functions
Atk::Image Class Reference

The ATK Interface implemented by components which expose image or pixmap content on-screen. More...

`#include <atkmm/image.h>`

Inheritance diagram for Atk::Image:
[legend]

List of all members.

## Public Member Functions
AtkImage* | gobj ()
| Provides access to the underlying C GObject.
const AtkImage* | gobj () const
| Provides access to the underlying C GObject.
bool | set_image_description (const Glib::ustring& description)
| Sets the textual description for this image.
Glib::ustring | get_image_description () const
| Get a textual description of this image.
void | get_image_size (int& width, int& height) const
| Get the width and height in pixels for the specified image.
void | get_image_position (int& x, int& y, CoordType coord_type) const
| Gets the position of the image in the form of a point specifying the images top-left corner.
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Atk::Image > | wrap (AtkImage* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

The ATK Interface implemented by components which expose image or pixmap content on-screen.

This should be implemented by Atk::Object subtypes on behalf of components which display image/pixmap information onscreen, and which provide information (other than just widget borders, etc.) via that image content. For instance, icons, buttons with icons, toolbar elements, and image viewing panes typically should implement AtkImage.

Atk::Image primarily provides two types of information: coordinate information (useful for screen review mode of screenreaders, and for use by onscreen magnifiers), and descriptive information. The descriptive information is provided for alternative, text-only presentation of the most significant information present in the image.

## Member Function Documentation

Glib::ustring Atk::Image::get_image_description | ( |  | ) | const

Get a textual description of this image.

Returns:
  A string representing the image description.

void Atk::Image::get_image_position | ( | int & | x,
|  | int & | y,
|  | CoordType | coord_type
| ) |  | const

Gets the position of the image in the form of a point specifying the images top-left corner.

Parameters:

  x | Address of `int` to put x coordinate position; otherwise, -1 if value cannot be obtained.
  y | Address of `int` to put y coordinate position; otherwise, -1 if value cannot be obtained.
  coord_type | Specifies whether the coordinates are relative to the screen or to the components top level window.

void Atk::Image::get_image_size | ( | int & | width,
|  | int & | height
| ) |  | const

Get the width and height in pixels for the specified image.

The values of width and height are returned as -1 if the values cannot be obtained (for instance, if the object is not onscreen).

Parameters:

  width | Filled with the image width, or -1 if the value cannot be obtained.
  height | Filled with the image height, or -1 if the value cannot be obtained.

bool Atk::Image::set_image_description | ( | const Glib::ustring & | description | ) |

Sets the textual description for this image.

Parameters:

  description | A string description to set for image.

Returns:
  Boolean `true`, or `false` if operation could not be completed.

## Friends And Related Function Documentation

Glib::RefPtr< Atk::Image > wrap | ( | AtkImage * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.